import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const StageBody = /*@__PURE__*/ proxyCustomElement(class StageBody extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const block = BEM.block('stage-body');
        return (h(Host, { key: '8c8f8b7fbdbf9dd9f32c0c561c93f934770b82bc', class: Object.assign({}, block.class()) }, h("slot", { key: 'df028b10599ec9d884c3eb2787f945219dff77e4' })));
    }
    get el() { return this; }
}, [4, "bal-stage-body"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-stage-body"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-stage-body":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StageBody);
            }
            break;
    } });
}

const BalStageBody = StageBody;
const defineCustomElement = defineCustomElement$1;

export { BalStageBody, defineCustomElement };
